AWESOME(1)

NAME
awesome - awesome window manager

SYNOPSIS

awesome [-v | --version] [-h | --help] [-c | --config FILE] [-k | --check] [--search DIRECTORY] [-a | --no-argb] [-r | *--replace]

DESCRIPTION

awesome is a window manager for X. It manages windows in different layouts, like floating or tiled. Any layout can be applied dynamically, optimizing the environment for the application in use and the task currently being performed.

In a tiled layout, windows are managed in a master and stacking area. The master area contains the windows which currently need the most attention, whereas the stacking area contains all other windows. In a floating layout windows can be resized and moved freely. Dialog windows are always managed as floating, regardless of the layout currently applied. The spiral and dwindle layouts are special cases of the tiled layout where the stacking area is arranged in a spiral for the former or as a rectangular fractal for the later.

Windows are grouped by tags in awesome. Each window can be tagged with one or more tags. Selecting certain tags displays all windows with these tags.

awesome can contain small wiboxes which can display anything you want: all available tags, the current layout, the title of the visible windows, text, etc.

OPTIONS

-v, --version
    Print version information to standard output, then exit.

-h, --help
    Print help information, then exit.

-c, --config FILE
    Use an alternate configuration file instead of $XDG_CONFIG_HOME/awesome/rc.lua.

-k, --check
    Check configuration file syntax.

--search
    Add a directory to the library search path.

-a, --no-argb
    Don’t use ARGB visuals.

-r, --replace
    Replace an existing window manager.

DEFAULT MOUSE BINDINGS

  Navigation

Button1 on tag name
    View tag.

Button4, Button5 on tag name
    Switch to previous or next tag.

Button4, Button5 on root window
    Switch to previous or next tag.

Button1, Button3, Button4, Button5 on layout symbol
    Switch to previous or next layout.

  Layout modification

Mod4 + Button1 on tag name
    Tag current client with this tag only.

Mod4 + Button3 on tag name
    Toggle this tag for client.

Button3 on tag name
    Add this tag to current view.

Mod4 + Button1 on client window
    Move window.

Mod4 + Button3 on client window
    Resize window.

DEFAULT KEY BINDINGS

  Help

Mod4 + s
    Show currently assigned key bindings.

  Window manager control

Mod4 + Control + r
    Restart awesome.

Mod4 + Shift + q
    Quit awesome.

Mod4 + r
    Run prompt.

Mod4 + x
    Run Lua code prompt.

Mod4 + Return
    Spawn terminal emulator.

Mod4 + w
    Open main menu.

  Clients

Mod4 + m
    Maximize client.

Mod4 + n
    Minimize client.

Mod4 + Control + n
    Restore client.

Mod4 + f
    Set client fullscreen.

Mod4 + Shift + c
    Kill focused client.

Mod4 + t
    Set client on-top.

  Navigation

Mod4 + j
    Focus next client.

Mod4 + k
    Focus previous client.

Mod4 + u
    Focus first urgent client.

Mod4 + Left
    View previous tag.

Mod4 + Right
    View next tag.

Mod4 + 1-9
    Switch to tag 1-9.

Mod4 + Control + j
    Focus next screen.

Mod4 + Control + k
    Focus previous screen.

Mod4 + Escape
    Focus previously selected tag set.

  Layout modification

Mod4 + Shift + j
    Switch client with next client.

Mod4 + Shift + k
    Switch client with previous client.

Mod4 + o
    Send client to next screen.

Mod4 + h
    Decrease master width factor by 5%.

Mod4 + l
    Increase master width factor by 5%.

Mod4 + Shift + h
    Increase number of master windows by 1.

Mod4 + Shift + l
    Decrease number of master windows by 1.

Mod4 + Control + h
    Increase number of columns for non-master windows by 1.

Mod4 + Control + l
    Decrease number of columns for non-master windows by 1.

Mod4 + space
    Switch to next layout.

Mod4 + Shift + space
    Switch to previous layout.

Mod4 + Control + space
    Toggle client floating status.

Mod4 + Control + Return
    Swap focused client with master.

Mod4 + Control + 1-9
    Toggle tag view.

Mod4 + Shift + 1-9
    Tag client with tag.

Mod4 + Shift + Control + 1-9
    Toggle tag on client.

CUSTOMIZATION

awesome is customized by creating a custom $XDG_CONFIG_HOME/awesome/rc.lua file.

SIGNALS

awesome can be restarted by sending it a SIGHUP.

SEE ALSO

awesomerc(5) awesome-client(1)

BUGS

Of course there’s no bug in awesome. But there may be unexpected behaviors.

AUTHORS

Julien Danjou <and others.

WWW